unit frmMain;

//
//  MicroMUF.pas
//
//  Input/Output demo shell for the MicroMUF HF Propagation Calculator
//  program, originally written by the BBC and R. Nederland.
//
//  See the comments in uPropCalc.pas for a discussion of the calculator
//  and instructions to integrate the calculator into your own software.
//
//  Note that for clarity, I've included absolutely no input error checking
//  in this demo shell.  That's something else you'll need to address when
//  integrating the calculator.
//
//                                       Tom Lackamp  AB9B
//                                       Feb 1, 2010
//

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls, TeEngine, Series, ExtCtrls, TeeProcs, Chart, XPMan;

type
  TMain = class(TForm)
    edFlux: TEdit;
    btnCalculate: TSpeedButton;
    Chart1: TChart;
    Series2: TLineSeries;
    Series1: TLineSeries;
    btnClose: TSpeedButton;
    edHops: TEdit;
    edDistance: TEdit;
    edAzFromDest: TEdit;
    edAzFromSource: TEdit;
    edLatDest: TEdit;
    edLatSource: TEdit;
    edLongDest: TEdit;
    edLongSource: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    edMonth: TEdit;
    XPManifest1: TXPManifest;
    procedure FormKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure btnCalculateClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
  private
    { Private declarations }
  public
    procedure Plot(MUF, LUF: array of Double);
    
  end;

var
  Main: TMain;

implementation

{$R *.dfm}

uses
  uPropCalc;
  
procedure TMain.Plot(MUF,LUF : array of Double);
//
//  Plot output values on chart
//
var
  i : Integer;

begin

  Series1.Clear;
  Series2.Clear;

  for i := 0 to 24 do begin

    Series1.AddXY(i, MUF[i]);
    Series2.AddXY(i, LUF[i]);

  end ;

end;

procedure TMain.btnCalculateClick(Sender: TObject);
begin

  StartCalc;

end;

procedure TMain.btnCloseClick(Sender: TObject);
begin

  Close;
  
end;

procedure TMain.FormCreate(Sender: TObject);
begin

  //  Pre-load parms for testing

  edLongSource.Text := '122.2';
  edLatSource.Text := '47.5';

  edLongDest.Text := '-23';
  edLatDest.Text := '-28';

  edFlux.Text := '75';
  edMonth.Text := '2';

end;

procedure TMain.FormKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
begin

  if Key = VK_RETURN then
    btnCalculateClick(Sender);
    
end;

end.
